Bug 1697520 - kube-scheduler failed to upgrade
Summary: kube-scheduler failed to upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.1.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: ravig
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 14:52 UTC by Suresh
Modified: 2019-06-04 10:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:29 UTC

Comment 5 Michal Fojtik 2019-04-10 13:23:23 UTC
The event recorded self-reference fix: https://github.com/openshift/library-go/pull/335

However, there is still an concern that Unauthorized here means the SA token inside that Pod is not authorized to get pods and it might indicate
something is broken.

Comment 6 Seth Jennings 2019-04-11 20:43:34 UTC
https://github.com/openshift/library-go/pull/335 is the fix for this specific issue.  If there is a deeper SA token issue, we'll track in a new bug.

Comment 12 errata-xmlrpc 2019-06-04 10:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.